Package org.opensaml.xacml.policy.impl

# Class SubjectAttributeDesignatorTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xacml.impl.AbstractXACMLObject
org.opensaml.xacml.policy.impl.AttributeDesignatorTypeImpl
org.opensaml.xacml.policy.impl.SubjectAttributeDesignatorTypeImpl

All Implemented Interfaces:
  `XMLObject`, `AttributeDesignatorType`, `ExpressionType`, `SubjectAttributeDesignatorType`, `XACMLObject`

public class SubjectAttributeDesignatorTypeImpl extends AttributeDesignatorTypeImpl implements SubjectAttributeDesignatorType
Implementation of `SubjectAttributeDesignatorType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`subjectCategory`
Subject category.

### Fields inherited from interface org.opensaml.xacml.policy.AttributeDesignatorType

`ACTION_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME, ACTION_ATTRIBUTE_DESIGNATOR_ELEMENT_NAME, ATTRIBUTE_ID_ATTRIB_NAME, DATA_TYPE_ATTRIB_NAME, ENVIRONMENT_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME, ENVIRONMENT_ATTRIBUTE_DESIGNATOR_ELEMENT_NAME, ISSUER_ATTRIB_NAME, MUST_BE_PRESENT_ATTRIB_NAME, RESOURCE_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME, RESOURCE_ATTRIBUTE_DESIGNATOR_ELEMENT_NAME, SCHEMA_TYPE_LOCAL_NAME, SCHEMA_TYPE_NAME, SUBJECT_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME, SUBJECT_ATTRIBUTE_DESIGNATOR_ELEMENT_NAME`

### Fields inherited from interface org.opensaml.xacml.policy.ExpressionType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME_XACML20`

### Fields inherited from interface org.opensaml.xacml.policy.SubjectAttributeDesignatorType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_QNAME, SCHEMA_TYPE_LOCAL_NAME, SCHEMA_TYPE_NAME, SUBJECT_CATEGORY_ATTRIB_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SubjectAttributeDesignatorTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getSubjectCategory()`
Gets the category of the Subject.
`void`
`setSubjectCategory(String category)`
Sets the category of the Subject.

### Methods inherited from class org.opensaml.xacml.policy.impl.AttributeDesignatorTypeImpl

`getAttributeId, getDataType, getIssuer, getMustBePresent, getMustBePresentXSBoolean, setAttributeId, setDataType, setIssuer, setMustBePresent, setMustBePresentXSBoolean`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.xacml.policy.AttributeDesignatorType

`getAttributeId, getDataType, getIssuer, getMustBePresent, getMustBePresentXSBoolean, setAttributeId, setDataType, setIssuer, setMustBePresent, setMustBePresentXSBoolean`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### subjectCategory

private String subjectCategory
Subject category.

## Constructor Details

### SubjectAttributeDesignatorTypeImpl

protected SubjectAttributeDesignatorTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getSubjectCategory

public String getSubjectCategory()
Gets the category of the Subject.

Specified by:
  `getSubjectCategory` in interface `SubjectAttributeDesignatorType`
Returns:
  category of the Subject

### setSubjectCategory

public void setSubjectCategory(String category)
Sets the category of the Subject.

Specified by:
  `setSubjectCategory` in interface `SubjectAttributeDesignatorType`
Parameters:
  `category` - category of the Subject

### getOrderedChildren

public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Overrides:
  `getOrderedChildren` in class `AttributeDesignatorTypeImpl`
Returns:
  ordered list of child elements